Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SafeHashMap::EntrySet Class Reference

`#include <coherence/util/SafeHashMap.hpp>`

Inherits AbstractCollection, and Set.

List of all members.

## Detailed Description

A set of entries backed by this map.

## Public Types
typedef spec::Handle | Handle
| EntrySet Handle definition.
typedef spec::View | View
| EntrySet View definition.
typedef spec::Holder | Holder
| EntrySet Holder definition.
## Public Member Functions
virtual Iterator::Handle | iterator () const
| Return an Iterator over this collection. Returns: an Iterator over this collection
virtual Muterator::Handle | iterator ()
| Return an Iterator over this collection. Returns: an Iterator over this collection
virtual size32_t | size () const
| Return the number of elements in this collection. Returns: the number of elements in this collection
virtual bool | contains (Object::View v) const
  | Determine if this collection contains the specified element. Parameters:
  | v | the element to test for containment
Returns: true iff this collection contains the given element
virtual bool | remove (Object::View v)
  | Remove the supplied element from this collection. Parameters:
  | v | the element to remove
Returns: true iff this collection was modified as a result of this operation This implementation will throw a coherence::lang::UnsupportedOperationException unless add() is overridden (assuming the specified collection is non-empty).
virtual void | clear ()
| Remove all elements from this collection. This implementation will throw a coherence::lang::UnsupportedOperationException.
virtual ObjectArray::Handle | toArray (ObjectArray::Handle hao=NULL) const
  | Return the contents of this collection as an ObjectArray. If the collection fits in the specified array, it is returned, otherwise, a new array is allocated that is the size of this collection. If this collection fits in the array with aditional room then the element in the array immediately following the end of the collection is set to NULL. This can be useful in determining the length of this collection if the caller knows that the collection does not contain any NULL elements. Parameters:
  | hao | an array in which to store the collection's contents
Returns: a ObjectArray containing all the elements of the collection in the same order as returned by the collection's Iterator See also: Iterator
virtual bool | equals (Object::View that) const
virtual size32_t | hashCode () const
| Return a hash code value for the Object. This method is supported for the benefit of hash-based containers. The general contract of `hashCode` is: Whenever it is invoked on the same Object more than once during an execution of an application, the `hashCode` method must consistently return the same value, provided no information used in `equals` comparisons on the object is modified. This value need not remain consistent from one execution of an application to another execution of the same application. If two Objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two Objects must produce the same value. It is not required that if two Objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct results. However, the programmer should be aware that producing distinct results for unequal objects may improve the performance of hash-based containers. The default implementation is identity based. Returns: a hash code value for this Object
## Protected Member Functions
| EntrySet (SafeHashMap::Holder hMap)
| Return a new EntrySet.
virtual Iterator::Handle | instantiateIterator () const
| Factory pattern.
virtual Muterator::Handle | instantiateIterator ()
| Factory pattern.
virtual SafeHashMap::Handle | getDelegate ()
| Return a handle to the assocaited Map.
virtual SafeHashMap::View | getDelegate () const
| Return a view to the assocaited Map.
## Protected Attributes
FinalHolder < SafeHashMap > | m_ohMap
| The SafeHashMap associated with the EntrySet.

## Member Function Documentation

virtual Iterator::Handle instantiateIterator | ( |  | ) | const `[protected, virtual]`

Factory pattern.

Returns:
  a new instance of an Iterator over the EntrySet

virtual Muterator::Handle instantiateIterator | ( |  | ) | `[protected, virtual]`

Factory pattern.

Returns:
  a new instance of an Iterator over the EntrySet

The documentation for this class was generated from the following file:

- coherence/util/SafeHashMap.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.